# PetscTrLog

Activates logging of all calls to malloc.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscTrLog(void)

Not Collective

### Options Database Key

-trmalloc_log -Activates PetscTrLog() and PetscTrLogDump()

### See Also

PetscTrLogDump()

Level:advanced
Location:src/sys/src/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages